Page MenuHomePhabricator

Enable MCR migration stage "write both, read old" on live systems
Closed, ResolvedPublic

Description

Before we can back-fill the new schema, we want to start writing to the new schema. This means setting

$wgMultiContentRevisionSchemaMigrationStage = SCHEMA_COMPAT_WRITE_BOTH | SCHEMA_COMPAT_READ_OLD;

For new, we'll keep reading from the old schema. See T198308: Enable MCR migration stage "write both, read new" on live systems for the next step.

Event Timeline

daniel triaged this task as Normal priority.Jun 20 2018, 5:34 PM
daniel created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 20 2018, 5:34 PM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Jun 26 2018, 7:39 AM
daniel renamed this task from Enable writing of new MCR schema on live systems to Enable MCR migration stage "write both, read old" on live systems.Jun 27 2018, 11:22 AM
daniel updated the task description. (Show Details)
daniel updated the task description. (Show Details)Jun 27 2018, 11:28 AM
Vvjjkkii renamed this task from Enable MCR migration stage "write both, read old" on live systems to fkaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from fkaaaaaaaa to Enable MCR migration stage "write both, read old" on live systems.Jul 2 2018, 11:31 AM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.

Change 449649 had a related patch set uploaded (by Tim Starling; owner: Tim Starling):
[operations/mediawiki-config@master] Enable MCR migration stage "write both, read old" (the default) on remaining wikis

https://gerrit.wikimedia.org/r/449649

Change 449649 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable MCR migration stage "write both, read old" (the default) on remaining wikis

https://gerrit.wikimedia.org/r/449649

tstarling closed this task as Resolved.Aug 6 2018, 4:06 AM
tstarling claimed this task.
daniel reopened this task as Open.Aug 22 2018, 12:09 PM

Reopening, since this is not quite done: we need the current default to be ''explicit'' in the live config. Otherwise, we'll change the config of the live cluster when we change the default for master and CI with T198561: Make "write both, read new" the default MCR migration stage for fresh MediaWiki installs / for CI. Since we don't want that to happen right away, we need to have the value for $wgMultiContentRevisionSchemaMigrationStage in the config explicitly, and then change it explicitly to write-both/read-new with T198308: Enable MCR migration stage "write both, read new" on live systems.

Change 454527 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[operations/mediawiki-config@master] Make current default of MCR migration stage explicit.

https://gerrit.wikimedia.org/r/454527

Change 454527 merged by jenkins-bot:
[operations/mediawiki-config@master] Make current default of MCR migration stage explicit.

https://gerrit.wikimedia.org/r/454527

Mentioned in SAL (#wikimedia-operations) [2018-08-22T13:07:20Z] <reedy@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Set default for wgMultiContentRevisionSchemaMigrationStage T197816 (duration: 00m 56s)

daniel closed this task as Resolved.Aug 22 2018, 1:55 PM